### Constructor

# Camel MimeFilterCRLF new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_crlf_new (
      CamelMimeFilterCRLFDirection direction,
      CamelMimeFilterCRLFMode mode
    )

#### Description [src]

Create a new `CamelMimeFilterCRLF` object.

#### Parameters

`direction`

  Type: `CamelMimeFilterCRLFDirection`

  Encode vs decode.

`mode`

  Type: `CamelMimeFilterCRLFMode`

  Whether or not to perform SMTP dot-escaping.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterCRLF` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.